<!DOCTYPE html>
<html>
  <head>
    <title>Crazyx</title>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag "application", "data-turbo-track": "reload" %>    
    <%= javascript_importmap_tags %>
    
    
    <!-- JavaScript Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js" integrity="sha384-w76AqPfDkMBDXo30jS1Sgez6pr3x5MlQ1ZAGC+nuZB+EYdgRZgiwxhTBTkF7CXvN" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
    <!-- CSS Bootstrap-->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
    
    
    <!-- Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700" rel="stylesheet">

    <!-- Icons -->
    <%= stylesheet_link_tag "nucleo-icons", "data-turbo-track": "reload" %>    
    <%= stylesheet_link_tag "nucleo-svg", "data-turbo-track": "reload" %>    
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css">
    

    <!-- Font Awesome Icons -->
    <script src="https://kit.fontawesome.com/42d5adcbca.js" crossorigin="anonymous"></script>

    <!-- CSS Files -->
    <%= stylesheet_link_tag "argon-dashboard", "data-turbo-track": "reload" %>
    
    
    
    <!-- jQuery -->
    <script src="https://code.jquery.com/jquery-3.6.3.slim.min.js" integrity="sha256-ZwqZIVdD3iXNyGHbSYdsmWP//UBokj2FHAxKuSBKDSo=" crossorigin="anonymous"></script>
    
    <!--  Select2 -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js" integrity="sha512-2ImtlRlf2VVmiGZsjm9bEyhjGW4dU7B6TNwh/hx/iSByxNENtj3WVE6o/9Lj4TJeVXPi4bnOIMXFIJJAeufa0A==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/css/select2.min.css" integrity="sha512-nMNlpuaDPrqlEls3IX/Q56H36qvBASwb3ipuo3MxeWbsQB1881ox0cRv7UPTgBlriqoynt35KjEwgGUeUXIPnw==" crossorigin="anonymous" referrerpolicy="no-referrer" />

    <!-- Data Tables -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.4/css/jquery.dataTables.css" />
    <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>    
  </head>


  <body class="g-sidenav-show   bg-gray-100">
    <div class="min-height-300 bg-primary position-absolute w-100"></div>
    <%if current_user && current_user.role == "Admin"%>
      <aside class="sidenav bg-white navbar navbar-vertical navbar-expand-xs border-0 border-radius-xl my-3 fixed-start ms-4 " id="sidenav-main">    
        <div class="sidenav-header">
          <i class="fas fa-times p-3 cursor-pointer text-secondary opacity-5 position-absolute end-0 top-0 d-none d-xl-none" aria-hidden="true" id="iconSidenav"></i>
          <%= link_to root_path do %>
            <%= image_tag("PMA.png", height: '92', width: '92')%>
            <span class="ms-1 text-sm font-weight-bold">Padel Match Admin</span>
          <%end%>      
        </div>
        <hr class="horizontal dark mt-0">
        <div class="collapse navbar-collapse  w-auto " id="sidenav-collapse-main">
          <ul class="navbar-nav">
            <li class="nav-item">
              <%= link_to "Events", events_path, class: "nav-link active" %>          
            </li>
            <li class="nav-item">
              <%= link_to "Players", players_path, class: "nav-link active" %>          
            </li>
          </ul>
        </div>
        
      </aside>
    <%end%>
    <main class="main-content position-relative border-radius-lg ">
      <!-- Navbar -->
        <nav class="navbar navbar-main navbar-expand-lg px-0 mx-4 shadow-none border-radius-xl " id="navbarBlur" data-scroll="false">
            <div class="container-fluid py-1 px-3">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb bg-transparent mb-0 pb-0 pt-1 px-0 me-sm-6 me-5">
                        <li class="breadcrumb-item text-sm"><a class="opacity-5 text-white" href="javascript:;"><%=controller.controller_name.titleize%></a></li>
                        <li class="breadcrumb-item text-sm text-white active" aria-current="page"><%=controller.action_name.titleize%></li>
                    </ol>
                    
                </nav>

                
                <div class="collapse navbar-collapse mt-sm-0 mt-2 me-md-0 me-sm-4" id="navbar">
                    <div class="ms-md-auto pe-md-3 d-flex align-items-center">
                        
                    </div>
                    <ul class="navbar-nav  justify-content-end">
                      <% if device == "mobile" %>
                        <li class="nav-item dropdown pe-2 d-flex align-items-center">
                            <a href="javascript:;" class="nav-link text-white p-0" id="dropdownMenuButton" data-bs-toggle="dropdown" aria-expanded="false">
                                <i class="fa fa-bars"></i> <!-- MENU mobile devices -->
                            </a>
                            <ul class="dropdown-menu  dropdown-menu-end  px-2 py-3 me-sm-n4" aria-labelledby="dropdownMenuButton">
                                <li class="mb-2">
                                  <p> 
                                    <%= link_to "Events", events_path%>
                                  </p>
                                </li>
                                <li class="mb-2">
                                  <p> 
                                    <%= link_to "Players", players_path  %>
                                  </p>
                                </li>
                                
                            </ul>
                        </li>
                      <% end %>
                      
                        <%if current_user %>
                          <li class="nav-item d-flex align-items-center">
                            <span class="d-sm-inline d-none text-white p-0" >
                              <i class="fa fa-user me-sm-1"></i>Hello, 
                                <strong><%=current_user.role%></strong>
                                <%if current_user.role == 'Player'%>
                                  &nbsp;|&nbsp;<%=current_user.try(:player).try(:name)%>&nbsp;|&nbsp;
                                  &nbsp;|&nbsp;<%=current_user.email%>&nbsp;|&nbsp;
                                <%else%>
                                  &nbsp;|&nbsp;<%=current_user.email%>&nbsp;|&nbsp;
                                <%end%>                                                                
                            </span>
                          </li>
                          <li class="nav-item d-flex align-items-center">
                            <span class="d-sm-inline d-none"> 
                              <%= link_to(destroy_user_session_path,'data-turbo-method': :delete, class: "nav-link text-white p-0") do%>
                                &nbsp;&nbsp;Sign out&nbsp;&nbsp;<i class="fa fa-sign-out"></i>
                              <% end %>                            
                            </span>
                          </li>
                        <%else%>
                          <li class="nav-item d-flex align-items-center">
                            <span class="d-sm-inline d-none">  
                              <%= link_to(new_user_session_path, class: "nav-link text-white p-0") do%>
                                          <i class="fa fa-sign-in"></i>&nbsp;&nbsp;Log in
                              <% end %>
                            </span>
                          </li>
                        <%end%>
                      
                        <!-- icono del engrane en la barra NAVBAR -->
                        <li class="nav-item px-3 d-flex align-items-center">
                            <a href="javascript:;" class="nav-link text-white p-0">
                                
                            </a>
                        </li>
                        <!-- campana -->
                        <%if controller.controller_name == "matches" && controller.action_name == "index" %>                        
                          <li class="nav-item dropdown pe-2 d-flex align-items-center">
                              <a href="javascript:;" class="nav-link text-white p-0" id="dropdownMenuButton" data-bs-toggle="dropdown" aria-expanded="false">
                                  <i class="fa fa-bar-chart-o cursor-pointer"></i>
                              </a>
                              <ul class="dropdown-menu  dropdown-menu-end  px-2 py-3 me-sm-n4" aria-labelledby="dropdownMenuButton">
                                <% @scores.each.with_index(1) do |score, i|%>
                                  
                                  <li class="mb-2">
                                      <a class="dropdown-item border-radius-md" href="javascript:;">
                                          <div class="d-flex py-1">
                                              <div class="my-auto">                                                  
                                                  <%if !score.player.image_attachment.nil?%>
                                                    <%= image_tag(score.player.image, class: "avatar avatar-sm me-3")%>
                                                  <%else%>
                                                    <%= image_tag("blank-profile-picture.jpg", class: "avatar avatar-sm me-3")%>
                                                  <%end%>
                                              </div>
                                              <div class="d-flex flex-column justify-content-center">
                                                  <p class="text-s text-secondary mb-0">
                                                    
                                                    <%if i==1%>
                                                      <strong><%=i.ordinalize%> - <%=score.player.name.titleize%></strong>
                                                      <i class="fa fa-trophy cursor-pointer"></i>
                                                    <%else%>
                                                    <%=i.ordinalize%> - <%=score.player.name.titleize%>
                                                    <%end%>
                                                  </p>                                                  
                                                  <p class="text-xs text-secondary mb-0">
                                                       <strong><%= score.points %> Points </strong>
                                                  </p>
                                              </div>
                                          </div>
                                      </a>
                                  </li>
                                <%end%>
                                  
                                  
                                  
                              </ul>
                          </li>
                        <%end%>
                    </ul>
                </div>
            </div>
        </nav>
        <!-- End Navbar -->
      <div class="container-fluid py-4">
        <% unless notice.nil? %>
          <div class="alert alert-success alert-dismissible fade show" role="alert" style= "color:white" >
            <strong>
              <%= notice %>
              <%= alert %>
            </strong>
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
          </div>      
        <% end %>
        
        <%= yield %>
        <%= turbo_frame_tag "remote_modal", target: "_top" %>
        <%= turbo_frame_tag "validation_code_modal", target: "_top" %>
        
        <%= render "layouts/footer"%>
      </div>
    </main>
    
        

  </body>
  
</html>
